If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

test_bug_627616.html reports lots of "specialpowersAPI.js, line 173: Failed to preserve wrapper of wrapped native weak map key" and leaks to following test(s)

VERIFIED FIXED in mozilla13

Status

()

Core
Graphics
P2
normal
VERIFIED FIXED
6 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: bholley)

Tracking

(Blocks: 1 bug, {regression})

Trunk
mozilla13
regression
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [fixed by bug 718543 backout], URL)

(Reporter)

Description

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=9697229&tree=Firefox&full=1
Rev3 Fedora 12 mozilla-central debug test mochitests-5/5 on 2012-02-28 12:12:12 PST for push 30b4f99a137c
{
5929 INFO TEST-END | /tests/toolkit/components/passwordmgr/test/test_bug_444968.html | finished in 1973ms

5930 INFO TEST-START | /tests/toolkit/components/passwordmgr/test/test_bug_627616.html
5931 INFO TEST-PASS | /tests/toolkit/components/passwordmgr/test/test_bug_627616.html | Access Ci
5932 INFO TEST-PASS | /tests/toolkit/components/passwordmgr/test/test_bug_627616.html | Access Cc
JavaScript warning: chrome://specialpowers/content/specialpowersAPI.js, line 173: Failed to preserve wrapper of wrapped native weak map key.
...
JavaScript warning: chrome://specialpowers/content/specialpowersAPI.js, line 173: Failed to preserve wrapper of wrapped native weak map key.
JavaScript error: , line 0: uncaught exception: TypeError: attempt to run compile-and-go script on a cleared scope
5941 INFO TEST-PASS | /tests/toolkit/components/passwordmgr/test/test_master_password.html | Access Ci
}

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1330410329.1330411066.25599.gz&fulltext=1
Linux comm-central-trunk debug test mochitests-5/5 on 2012/02/27 22:25:29
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1330433528.1330434952.20799.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test mochitests-5/5 on 2012/02/28 04:52:08
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1330422363.1330424488.22177.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-5/5 on 2012/02/28 01:46:03

Comment 1

6 years ago
Blake/Bobby, this warning is a bit worrisome.
Probably a regression from bug 718543. I will look into it.
Assignee: nobody → bobbyholley+bmo
Status: NEW → ASSIGNED
(Reporter)

Updated

6 years ago
Blocks: 718543
No longer blocks: 627616
Depends on: 627616
Keywords: regression
Blocks: 627616
No longer depends on: 627616
(Reporter)

Comment 3

6 years ago
(In reply to Bobby Holley (:bholley) from comment #2)
> Probably a regression from bug 718543. I will look into it.

Any progress?
Or could the failing test be disabled in the meantime?
I'll hopefully have time to look at it later this week. If this is happening a lot, the best interim solution is probably to back out bug 718543.
(Reporter)

Comment 5

6 years ago
(In reply to Bobby Holley (:bholley) from comment #4)
> I'll hopefully have time to look at it later this week. If this is happening
> a lot, the best interim solution is probably to back out bug 718543.

SeaMonkey bug 728790 is perma-orange:
bug 718543 backout would be appreciated, as a confirmation and to get time to fix.
Backed out: http://hg.mozilla.org/mozilla-central/rev/75fcd465d506

Serge, can you verify that this fixes the SM perma-orange?
(Reporter)

Comment 7

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=9859971&tree=Firefox&full=1
Rev4 MacOSX Snow Leopard 10.6 mozilla-central debug test mochitests-5/5 on 2012-03-06 12:56:38 PST for push 75fcd465d506

V.Fixed
No longer blocks: 627616
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Depends on: 627616
Flags: in-testsuite-
Resolution: --- → FIXED
Whiteboard: [fixed by bug 718543 backout]
(Reporter)

Comment 8

6 years ago
(In reply to Bobby Holley (:bholley) from comment #6)
> Serge, can you verify that this fixes the SM perma-orange?

It didn't :-/ (Though this very bug is fixed on SM too ;-))
No longer blocks: 728790
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.